Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.ejb
Interface QueryProperties

All Known Subinterfaces:
  PreparedQuery, Query, WLQueryProperties

    public interface QueryProperties

Field Summary
`static short` | `TX_MANDATORY`
`static short` | `TX_REQUIRED`
`static short` | `TX_REQUIRES_NEW`

Method Summary
`boolean` | `getEnableQueryCaching()`
`boolean` | `getIncludeUpdates()`
`int` | `getMaxElements()`
`short` | `getTransaction()`
`boolean` | `isResultTypeRemote()`
`void` | `setEnableQueryCaching(boolean value)` Used to turn query caching on
`void` | `setIncludeUpdates(boolean value)` Used to specify whether any updates that have been made during the current transaction will be reflected in the query result.
`void` | `setMaxElements(int value)` Sets the maximum number of results that can be returned.
`void` | `setResultTypeRemote(boolean value)` Used to specify whether the results of the query will be EJBObjects or EJBLocalObjects.
`void` | `setTransaction(short value)` Uses the standard EJB values: Required, RequiresNew, etc.

Field Detail

### TX_REQUIRED

    static final short TX_REQUIRED

See Also:
  Constant Field Values

### TX_REQUIRES_NEW

    static final short TX_REQUIRES_NEW

See Also:
  Constant Field Values

### TX_MANDATORY

    static final short TX_MANDATORY

See Also:
  Constant Field Values

Method Detail

### setTransaction

    void setTransaction(short value)
                        throws FinderException

  Uses the standard EJB values: Required, RequiresNew, etc. Default: Required

  Throws:
    `FinderException`

### getTransaction

    short getTransaction()
                         throws FinderException

  Throws:
    `FinderException`

### setMaxElements

    void setMaxElements(int value)
                        throws FinderException

  Sets the maximum number of results that can be returned. Default: no limit

  Throws:
    `FinderException`

### getMaxElements

    int getMaxElements()
                       throws FinderException

  Throws:
    `FinderException`

### setIncludeUpdates

    void setIncludeUpdates(boolean value)
                           throws FinderException

  Used to specify whether any updates that have been made during the current transaction will be reflected in the query result. Default: updates from the current transaction are not included

  Throws:
    `FinderException`

### getIncludeUpdates

    boolean getIncludeUpdates()
                              throws FinderException

  Throws:
    `FinderException`

### setResultTypeRemote

    void setResultTypeRemote(boolean value)
                             throws FinderException

  Used to specify whether the results of the query will be EJBObjects or EJBLocalObjects. This setting is only valid when an EJB with both a local and remote client view is returned. Default: false

  Throws:
    `FinderException`

### isResultTypeRemote

    boolean isResultTypeRemote()
                               throws FinderException

  Throws:
    `FinderException`

### setEnableQueryCaching

    void setEnableQueryCaching(boolean value)
                               throws FinderException

  Used to turn query caching on

  Throws:
    `FinderException`

### getEnableQueryCaching

    boolean getEnableQueryCaching()
                                  throws FinderException

  Throws:
    `FinderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD